Bug 114630 - [RFE] update Japanese ptex to 3.1.3
[RFE] update Japanese ptex to 3.1.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-30 08:04 EST by Takanori MATSUURA
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.0.2-11
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-31 09:03:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
updated spec file (2.06 KB, patch)
2004-01-30 08:06 EST, Takanori MATSUURA
no flags Details | Diff

  None (edit)
Description Takanori MATSUURA 2004-01-30 08:04:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7a)
Gecko/20040130 Firebird/0.8.0+

Description of problem:
ASCII pTeX-3.1.3 has been released.

Build is succeed as far as I tested.

Steps to Reproduce:
1.get ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/tetex/ptex-src-3.1.3.tar.gz
2.build package
 
Additional info:
latex2html JA patch is also updated.
Comment 1 Takanori MATSUURA 2004-01-30 08:06:51 EST
Created attachment 97366 [details]
updated spec file

- updated ptex to 3.1.3
- updated latex2html JA patch to jp2.0
- removed patch53. now it includes in JA patch
Comment 2 Takanori MATSUURA 2004-01-30 08:08:39 EST
Comment on attachment 97366 [details]
updated spec file

>--- tetex.spec.orig	2004-01-29 20:55:41.000000000 +0900
>+++ tetex.spec	2004-01-30 20:56:12.000000000 +0900
>@@ -1,5 +1,5 @@
> %define	enable_japanese	1
>-%define	ptex_src_ver	3.1.2
>+%define	ptex_src_ver	3.1.3
> %define	mendexk_ver	2.5
> 
> %ifarch %{ix86}
>@@ -13,7 +13,7 @@
> Summary: The TeX text formatting system.
> Name: tetex
> Version: 2.0.2
>-Release: 10
>+Release: 10.1
> License: distributable
> Group: Applications/Publishing
> Requires: tmpwatch, dialog, ed
>@@ -73,8 +73,7 @@
> 
> Patch50: latex2html-2K.1beta-tabularx.patch
> Patch51: teTeX-l2h-config.patch
>-Patch52: l2h-2K1b+jp1.4.patch
>-Patch53: l2h-62285.patch
>+Patch52: http://takeno.iee.niit.ac.jp/~shige/TeX/latex2html/data/l2h-2002-2-1+jp2.0.patch.gz
> Patch54: latex2html-2K.1beta-DB.patch
> 
> ######
>@@ -316,9 +315,7 @@
> %patch51 -p2 -b .cfg
> 
> # JA patch for latex2html (bug #61136).
>-%patch52 -p1 -b .jp1.4
>-
>-%patch53 -p1 -b .62285
>+%patch52 -p1 -b .jp
> 
> # Fix latex2html not to use DB_File
> %patch54 -p2
>@@ -461,7 +458,7 @@
> %endif
> 
> %if %{enable_japanese}
>-pushd texk/web2c/ptex-%{ptex_src_ver}
>+pushd texk/web2c/ptex-src-%{ptex_src_ver}
> ./configure EUC
> make texmf=../../../texmf
> popd
>@@ -503,7 +500,7 @@
> %endif
> 
> %if %{enable_japanese}
>-pushd texk/web2c/ptex-%{ptex_src_ver}
>+pushd texk/web2c/ptex-src-%{ptex_src_ver}
> %makeinstall prefix=${RPM_BUILD_ROOT}%{_prefix} \
> 	texmf=${RPM_BUILD_ROOT}%{_datadir}/texmf \
> 	texmfmain=${RPM_BUILD_ROOT}%{_datadir}/texmf
>@@ -661,8 +658,7 @@
>   xdvi.desktop
> 
> rm -f ${RPM_BUILD_ROOT}/var/lib/texmf/ls-R
>-head -n 1 ${RPM_BUILD_ROOT}/usr/share/texmf/ls-R > \
>-	  ${RPM_BUILD_ROOT}/var/lib/texmf/ls-R
>+${RPM_BUILD_ROOT}/usr/bin/mktexlsr ${RPM_BUILD_ROOT}/var/lib/texmf
> 
> %clean
> rm -rf ${RPM_BUILD_ROOT}
>@@ -765,6 +761,12 @@
> %defattr(-,root,root)
> 
> %changelog
>+* Thu Jan 29 2004 MATSUURA Takanori <t-matsuu@estyle.ne.jp> 2.0.2-10.1
>+- based on Fedora Core devel tetex-2.0.2-10.src.rpm
>+- updated ptex to 3.1.3
>+- updated latex2html JA patch to jp2.0
>+- removed patch53. now includes in JA patch
>+
> * Wed Dec  3 2003 Tim Waugh <twaugh@redhat.com> 2.0.2-10
> - Fix bad C code (bug #111278).
>
Comment 3 Tim Waugh 2004-01-30 11:04:01 EST
-head -n 1 ${RPM_BUILD_ROOT}/usr/share/texmf/ls-R > \
-	  ${RPM_BUILD_ROOT}/var/lib/texmf/ls-R
+${RPM_BUILD_ROOT}/usr/bin/mktexlsr ${RPM_BUILD_ROOT}/var/lib/texmf

This bit is incorrect, and I had to modify the prerq patch, but
otherwise that looks okay.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.